--- Attempts to play the selection sound, performs an early exit when it should not be played
---@param newSelection UserUnit[]
function PlaySelectionSound(newSelection)
    if playSelectionSound then
        for k, unit in newSelection do
            local bp = unit:GetBlueprint()

            if EntityCategoryContains(categories.TECH1 * categories.STRUCTURE * categories.RADAR, unit) then
                return
            end

            if bp.Audio.UISelection then
                PlaySound(bp.Audio.UISelection)
                return
            end
        end
    end
end
